Subject: FVWM: why you *should* use *FvwmPagerGeometry and not *FvwmPagerDeskTopScale

From: Neil Zanella <[email-masked]>
Date: Thu, 10 Sep 1998 19:28:59 -0230 (NDT)

ello,

This is why you should use *FvwmPagerGeometry instead of *FvwmPagerDeskTopScale:

If you specify

*FvwmPagerGeometry XxY+a+b

and you have a

DeskTopSize mxn

then your X must be of the form X = k * m + (m-1) = (k+1)*m - 1

and similarly Y must be of the form Y = (l+1)*m - 1

simply because the pages must all be of equal height and width for it to

look nice and you have to take into account for the one pixel horizontal and

vertical lines separating the pages. If you have an outer border around your

pager then this one comes from the BorderWidth which by default is set to 1

pixel. To get rid of it (if you really want to) just set it to

BorderWidth 0 . Otherwise, if you have a frame around it then it comes from

the FrameWidth which by default is 7 (which is thicker so you *would* 

notice this one).

... back to what I was saying ...

If you use *FvwmPagerDeskTopScale instead then you risk having the virtual

pages in the FvwmPager looking a pixel or two smaller than the space allocated

for them by the FvwmPager. It's a minor thing but can be annoying.

If you're really concerned about maintaining undistorted aspect ratio then

use *FvwmPagerDeskTopScale and then adjust it by trying to find an

*FvwmPagerGeometry that lies within plus or minus 4 pixels width/height

of that given by the *FvwmPagerDeskTopScale . However, IMHO, undistorted

aspect ratio is not the best feature of *FvwmPagerDeskTopScale : its

best feature is the fact that if you're on a LAN and go from a 15" to

a 17" monitor then you don't risk having the Pager reappear too small.

Best Regards,

Neil
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].